apiVersion: forklift.konveyor.io/v1beta1
kind: ForkliftController
metadata:
  creationTimestamp: '2026-02-18T01:41:13Z'
  finalizers:
    - forklift.konveyor.io/finalizer
  generation: 1
  managedFields:
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          .: {}
          'f:controller_transfer_network': {}
          'f:feature_ui_plugin': {}
          'f:feature_validation': {}
          'f:feature_volume_populator': {}
      manager: Mozilla
      operation: Update
      time: '2026-02-18T01:41:13Z'
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:finalizers':
            .: {}
            'v:"forklift.konveyor.io/finalizer"': {}
      manager: ansible-operator
      operation: Update
      time: '2026-02-18T01:41:13Z'
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions': {}
      manager: ansible-operator
      operation: Update
      subresource: status
      time: '2026-02-18T01:43:46Z'
  name: forklift-controller
  namespace: openshift-mtv
  resourceVersion: '33395791'
  uid: a9484c5c-f3da-4e9f-8f1e-be14b411d04d
spec:
  controller_transfer_network: openshift-mtv/br-eno8403
  feature_ui_plugin: 'true'
  feature_validation: 'true'
  feature_volume_populator: 'true'
status:
  conditions:
    - ansibleResult:
        changed: 0
        completion: '2026-02-18T01:43:46.609405+00:00'
        failures: 0
        ok: 62
        skipped: 20
      lastTransitionTime: '2026-02-18T01:41:42Z'
      message: Awaiting next reconciliation
      reason: Successful
      status: 'True'
      type: Running
    - lastTransitionTime: '2026-02-18T01:43:46Z'
      message: Last reconciliation succeeded
      reason: Successful
      status: 'True'
      type: Successful
    - lastTransitionTime: '2026-02-18T01:42:23Z'
      message: ''
      reason: ''
      status: 'False'
      type: Failure
